import { PerfParams } from '../../../../components/popover-graph/popover-graph.interface';

export interface GraphItemParams {
    angular: true,
    disableGlobalLoader: true,
    serviceId: number,
    type: string
}

export interface PerfdataParams extends PerfParams {
    disableGlobalLoader: true
}

export interface GraphItemRoot {
    service: ServiceForGraphItem
    _csrfToken: string
}

export interface ServiceForGraphItem {
    hostname: string
    service_description: string
    status_update_time: number
    output: string
    long_output: string
    perfdata: string
    current_state: number
    current_check_attempt: number
    max_check_attempts: number
    last_check: number
    next_check: number
    is_passive_check: boolean
    last_state_change: number
    last_hard_state_change: number
    last_hard_state: number
    is_hardstate: boolean
    last_notification: number
    next_notification: number
    notifications_enabled: boolean
    problem_has_been_acknowledged: boolean
    acknowledgement_type: number
    passive_checks_enabled: boolean
    active_checks_enabled: boolean
    event_handler_enabled: boolean
    flap_detection_enabled: boolean
    is_flapping: boolean
    latency: number
    execution_time: number
    scheduled_downtime_depth: number
    process_performance_data: boolean
    obsess_over_service: boolean
    normal_check_interval: number
    retry_check_interval: number
    check_timeperiod: string
    node_name: string
    last_time_ok: number
    last_time_warning: number
    last_time_critical: number
    last_time_unknown: number
    current_notification_number: number
    percent_state_change: number
    event_handler: any
    check_command: string
    service_mapping: ServiceMapping
    host_mapping: HostMapping
}

export interface ServiceMapping {
    id: number
    uuid: string
    display_name: string
    type_id: number
}

export interface HostMapping {
    id: number
    uuid: string
    display_name: string
    type_id: number
}
