import { PaginateOrScroll } from '../../layouts/coreui/paginator/paginator.interface';

/**********************
 *    Index action    *
 **********************/
export interface ServicechecksIndexParams {
    angular: true,
    scroll: boolean,
    sort: string,
    page: number,
    direction: 'asc' | 'desc' | '', // asc or desc
    'filter[Servicechecks.service_description]': string, /// uuid
    'filter[Servicechecks.output]': string,
    'filter[Servicechecks.state][]': string[],
    'filter[Servicechecks.is_hardstate]': string | number
}

export function getDefaultServicechecksIndexParams(): ServicechecksIndexParams {
    return {
        angular: true,
        scroll: true,
        sort: 'Servicechecks.start_time',
        page: 1,
        direction: 'desc',
        'filter[Servicechecks.service_description]': '',
        'filter[Servicechecks.output]': '',
        'filter[Servicechecks.state][]': [],
        'filter[Servicechecks.is_hardstate]': ''
    }
}

export interface ServicechecksIndexRoot extends PaginateOrScroll {
    servicechecks: Servicecheck[]
    hostUuid: string
}

export interface Servicecheck {
    service_description: string
    start_time: string
    start_time_usec: number
    hostname: string
    state: number
    is_hardstate: boolean
    end_time: string
    output: string
    timeout: number
    early_timeout: boolean
    latency: number
    execution_time: number
    perfdata: string
    command: string
    current_check_attempt: number
    max_check_attempts: number
    long_output: string
}
